# Search Message

## Search Message

> Use the following parameters to search messages.

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"80fbdca"},"tags":[],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"_APISearchMessageResults":{"properties":{"edges":{"items":{"$ref":"#/components/schemas/MessageSearchResult"},"type":"array"},"page_info":{"$ref":"#/components/schemas/APISearchPageInfo"}},"required":["edges","page_info"],"type":"object"},"MessageSearchResult":{"properties":{"cursor":{"type":"integer"},"node":{"$ref":"#/components/schemas/Message"}},"required":["cursor","node"],"type":"object"},"Message":{"additionalProperties":false,"properties":{"account_id":{"type":"integer"},"address":{"default":null,"description":"The address used to signed the message","nullable":true,"type":"string"},"created_by":{"type":"integer"},"created_on":{"format":"date-time","type":"string"},"data":{"description":"The content of the message","type":"string"},"id":{"type":"integer"},"last_request":{"default":null,"nullable":true,"type":"integer"},"message_type":{"description":"The type of the message","enum":["EIP-191","EIP-712"]},"notes":{"description":"Notes attached to this message","items":{"$ref":"#/components/schemas/TransactionOrMessageNote"},"type":"array"},"signature":{"default":null,"description":"The DER signature of the message","nullable":true,"type":"string"},"status":{"enum":["ABORTED","APPROVED","PENDING_APPROVAL","PENDING_CREATE_IN_HSM","SIGNED"],"type":"string"},"type":{"default":"MESSAGE_SIGNATURE"}},"required":["account_id","created_by","created_on","data","id","message_type","notes","status"],"type":"object"},"TransactionOrMessageNote":{"properties":{"content":{"type":"string"},"title":{"type":"string"}},"required":["content","title"],"type":"object"},"APISearchPageInfo":{"properties":{"count":{"type":"integer"},"has_next_page":{"type":"boolean"}},"required":["count","has_next_page"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/messages":{"get":{"summary":"Search Message","tags":["Messages"],"description":"Use the following parameters to search messages.","parameters":[{"name":"account","in":"query","description":"Returns messages signed by the provided account.","required":false,"explode":true,"schema":{"default":null,"items":{"type":"integer"},"nullable":true,"type":"array"},"style":"form"},{"name":"created_after","in":"query","description":"Returns objects created after the entered date.","required":false,"schema":{"default":null,"format":"date-time","nullable":true,"type":"string"}},{"name":"created_before","in":"query","description":"Returns objects created before the entered date.","required":false,"schema":{"default":null,"format":"date-time","nullable":true,"type":"string"}},{"name":"id","in":"query","description":"Returns the object corresponding to the entered ID","required":false,"schema":{"default":null,"nullable":true,"type":"integer"}},{"name":"message_type","in":"query","description":"Filters the list of results by message type.","required":false,"schema":{"default":null,"enum":[null,"EIP191","EIP712"],"nullable":true,"type":"string"}},{"name":"order","in":"query","description":"Orders the list of results","required":false,"schema":{"default":null,"enum":[null,"asc","desc"],"nullable":true,"type":"string"}},{"name":"order_by","in":"query","description":"criteria to order by","required":false,"schema":{"default":null,"nullable":true,"type":"string"}},{"name":"page","in":"query","description":"Defines the page number to be fetched.","required":false,"schema":{"default":1,"minimum":1,"nullable":true,"type":"integer"}},{"name":"page_size","in":"query","description":"Defines the number of elements displayed on a page.\n        Must be a positive number with 0 and -1 return a maximum defined in the gate","required":false,"schema":{"default":20,"minimum":-1,"nullable":true,"type":"integer"}},{"name":"status","in":"query","description":"Returns objects that match the selected status.","required":false,"explode":true,"schema":{"default":null,"items":{"enum":["ABORTED","APPROVED","PENDING_APPROVAL","PENDING_CREATE_IN_HSM","SIGNED"],"type":"string"},"nullable":true,"type":"array"},"style":"form"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/_APISearchMessageResults"}}},"description":"Message search results"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid search parameters"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/reference/api-reference/messages/search-message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
